PamCut: TrkSigmaDeflCut Class Reference

# TrkSigmaDeflCut Class Reference

The cut on TRK sigma_deflection. More...

`#include <TrkSigmaDeflCut.h>`

Inheritance diagram for TrkSigmaDeflCut:

List of all members.

## Public Member Functions
| TrkSigmaDeflCut (const char *cutName, std::vector< float > binning)
| Constructor.
| TrkSigmaDeflCut (const char *cutName, const char *rigBinListFileName)
| Constructor.
| ~TrkSigmaDeflCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The sigma_deflection check.
## Private Attributes
std::vector< float > | _binning

## Detailed Description

The cut on TRK sigma_deflection.

This cut discards an event if its sigma_deflection (defined as sqrt(coval[4][4]), in GV^-1) is not less than the minimum deflection for the bin which contains the event deflection modulus (deflection of the first TRK track).

Definition at line 20 of file TrkSigmaDeflCut.h.

## Constructor & Destructor Documentation

TrkSigmaDeflCut::TrkSigmaDeflCut | ( | const char * | cutName,
|  | std::vector< float > | binning |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | cutName | The cut's name.
  | binning | A vector containing the histogram binning in rigidity. Note that it must contain both the upper and lower limits, and that the elements must be ordered (ie., lowest rigidity value in the first element and so on).

Definition at line 31 of file TrkSigmaDeflCut.h.

TrkSigmaDeflCut::TrkSigmaDeflCut | ( | const char * | cutName,
|  | const char * | rigBinListFileName |
| ) |  |  |

Constructor.

Parameters:

  | cutName | The cut's name.
  | rigBinListFileName | A text file containing the histogram binning. Note that it must contain both the upper and lower limits, and that the elements must be ordered (ie., lowest rigidity value in the first element and so on).

Definition at line 12 of file TrkSigmaDeflCut.cpp.

References _binning.

TrkSigmaDeflCut::~TrkSigmaDeflCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 46 of file TrkSigmaDeflCut.h.

## Member Function Documentation

int TrkSigmaDeflCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The sigma_deflection check.

The event is discarded if its deflection is less than the lower histogram limit or higher than the upper limit. The event is also discarded if its sigma_deflection is not less than the minimum deflection for the bin which contains the event deflection modulus.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if the sigma_deflection condition is satisfied.

  0 otherwise.

Implements PamCut.

Definition at line 36 of file TrkSigmaDeflCut.cpp.

References _binning, and CUTOK.

## Member Data Documentation

std::vector<float> TrkSigmaDeflCut::_binning`[private]`

Definition at line 63 of file TrkSigmaDeflCut.h.

Referenced by Check(), and TrkSigmaDeflCut().

The documentation for this class was generated from the following files:

- TrkCuts/TrkSigmaDeflCut/TrkSigmaDeflCut.h
- TrkCuts/TrkSigmaDeflCut/TrkSigmaDeflCut.cpp